MP4(3)

NAME

MP4GetTrackNumberOfEdits - Get the number of edit segments for a track

SYNTAX

#include <mp4.h>

u_int32_t MP4GetTrackNumberOfEdits(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the number of edit segments is desired.

RETURN VALUES

Upon success, the number of edit segments for the track. Upon an error, 0.

DESCRIPTION

MP4GetTrackNumberOfEdits returns the number of edit segments in the specified track in the mp4 file. Edit id's are the consecutive sequence of numbers from 1 to the total number of edit segments, i.e. 1-based indexing, not 0-based indexing.

SEE ALSO

MP4(3) MP4AddTrackEdit(3) MP4DeleteTrackEdit(3)